PhpStorm 2018.2 Help

Yeoman

File | Settings | Languages and Frameworks | JavaScript | Yeoman for Windows and Linux
PhpStorm | Preferences | Languages and Frameworks | JavaScript | Yeoman for macOS
Ctrl+Alt+S icons general settings svg


The page is available only when the Yeoman and the NodeJS plugins are installed and enabled. The plugins are not bundled with PhpStorm, but they can be installed from the JetBrains plugin repository as described in Managing Plugins. Once enabled, the plugins are available at the IDE level, that is, you can use them in all your PhpStorm projects.

ItemDescription
Node interpreter In this field, specify the Node.js interpreter to use. This can be a local Node.js interpreter or a Node.js on WSL, see Configuring a local Node.js interpreter and Using Node.js on Windows Subsystem for Linux for details.
Yeoman yo package In this field, specify the location of the globally installed yo package.
Last modified: 19 July 2018

See Also